echo off

echo "Integrated BMC and Intel Remote Management Module 3 firmware update to rev 00.58"
.\WinPEUtils_x64\FWPIAUPD\Devicesetup.exe -v remove *IPI0001
.\WinPEUtils_x64\FWPIAUPD\DeviceSetup install .\WinPEUtils_x64\FWPIAUPD\IMBDrv.inf *IMBDRV
.\WinPEUtils_x64\FWPIAUPD\fwpiaupd -u -bin -o -pia -ni BMC_0058.ima 

echo "ME Firmware Update rev: 1.12"
.\WinPEUtils_x64\FWPIAUPD\fwpiaupd -u -o -b -address=2c -bin -ni SPS_01_01_02_007_ME_FW_DIB.bin

echo "Update FRUSDR using FRUSDR utility"
.\WinPEUtils_x64\FWPIAUPD\DeviceSetup install .\WinPEUtils_x64\FWPIAUPD\IMBDrv.inf *IMBDRV
.\WinPEUtils_x64\FRUSDR\DeviceSetup.exe install .\WinPEUtils_x64\FRUSDR\ibsmux64.inf *IntelUtilDeV
.\WinPEUtils_x64\FRUSDR\frusdr -cfg MASTER.CFG

echo "Update BIOS to R0060"
.\WinPEUtils_x64\IFlash32\DeviceSetup install .\WinPEUtils_x64\IFlash32\flashud.inf *int0800
.\WinPEUtils_x64\IFlash32\DeviceSetup install .\WinPEUtils_x64\IFlash32\IBSMUx64.inf *IntelUtilDeV
.\WinPEUtils_x64\IFlash32\IFlash32 R0060.cap /u /ni

echo "Updates completed. Please reboot using the front panel button."

echo on
